Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X POST "https://api.box.com/2.0/terms_of_service_user_statuses" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"tos": {
"type": "terms_of_service",
"id": "1232132"
},
"user": {
"type": "user",
"id": "3423423"
},
"is_accepted": true
}'{
"id": "11446498",
"type": "terms_of_service_user_status",
"tos": {
"id": "11446498",
"type": "terms_of_service"
},
"user": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"is_accepted": true,
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}Sets the status for a terms of service for a user.
curl -i -X POST "https://api.box.com/2.0/terms_of_service_user_statuses" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"tos": {
"type": "terms_of_service",
"id": "1232132"
},
"user": {
"type": "user",
"id": "3423423"
},
"is_accepted": true
}'{
"id": "11446498",
"type": "terms_of_service_user_status",
"tos": {
"id": "11446498",
"type": "terms_of_service"
},
"user": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"is_accepted": true,
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}The access token received from the authorization server in the OAuth 2.0 flow.
Returns a terms of service status object.
The association between a Terms of Service and a user.
The unique identifier for this terms of service user status.
"11446498"
The value will always be terms_of_service_user_status.
terms_of_service_user_status "terms_of_service_user_status"
The terms of service.
Show child attributes
The user.
Show child attributes
If the user has accepted the terms of services.
true
When the legal item was created.
"2012-12-12T10:53:43-08:00"
When the legal item was modified.
"2012-12-12T10:53:43-08:00"
Was this page helpful?